Core 超宽带 (UWB)

  
在受支持的设备上实现 UWB(超宽带)。
最近更新时间 稳定版 候选版本 Beta 版 Alpha 版
2022 年 6 月 29 日 - - - 1.0.0-alpha02

声明依赖项

如需添加 Core 的依赖项,您必须将 Google Maven 代码库添加到项目中。如需了解详情,请参阅 Google 的 Maven 代码库

在应用或模块的 build.gradle 文件中添加所需工件的依赖项:

Groovy

dependencies {
    // Use to implement UWB (ultra-wideband) on supported devices
    implementation "androidx.core.uwb:uwb:1.0.0-alpha03"
}

Kotlin

dependencies {
    // Use to implement UWB (ultra-wideband) on supported devices
    implementation("androidx.core.uwb:uwb:1.0.0-alpha03")
}

如需详细了解依赖项,请参阅添加 build 依赖项

反馈

您的反馈将帮助我们改进 Jetpack。如果您发现了新问题,或对此库的改进有自己的见解,请告诉我们。创建新问题前,请先查看此库中的现有问题。您可以点击星标按钮,为现有问题投票。

创建新问题

如需了解详情,请参阅问题跟踪器文档

1.0 版

版本 1.0.0-alpha02

2022 年 6 月 29 日

发布了 androidx.core.uwb:uwb-rxjava3:1.0.0-alpha02版本 1.0.0-alpha02 中包含这些提交内容

新功能

  • 引入了适用于 uwb 模块的 Java 可互操作工件。新工件依赖于 rxjava3,并且可供 Java 客户端使用。

版本 1.0.0-alpha02

2022 年 6 月 15 日

发布了 androidx.core.uwb:uwb:1.0.0-alpha02版本 1.0.0-alpha02 中包含这些提交内容

新功能

  • 推出公开 UWB_CONFIG_ID_1

API 变更

  • RangingResultPosition 的距离现在可为 null

版本 1.0.0-alpha01

2022 年 6 月 1 日

发布了 androidx.core.uwb:uwb:1.0.0-alpha01版本 1.0.0-alpha01 中包含这些提交内容

新功能

  • UWB 库提供了一组 API,供开发者与支持 UWB 的设备交互。该用例仅适用于相应合作伙伴的设备,这些设备已采用 UWB 范围会话的控制器配置文件,并且计划不久后还会支持控制器配置文件。该初始版本包含两个顶级 API Surface UwbManagerUwbClientSessionScope